net.sourceforge.jnlp.runtime

## Class JNLPPolicy

- java.lang.Object
- - java.security.Policy
  - - net.sourceforge.jnlp.runtime.JNLPPolicy

    public class JNLPPolicy
    extends java.security.Policy

Policy for JNLP environment. This class delegates to the system policy but always grants permissions to the JNLP code and system CodeSources (no separate policy file needed). This class may also grant permissions to applications at runtime if approved by the user.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.security.Policy

`java.security.Policy.Parameters`

### Field Summary

### Fields inherited from class java.security.Policy

`UNSUPPORTED_EMPTY_COLLECTION`

### Constructor Summary

Constructors
`protected` `JNLPPolicy()`

### Method Summary

Methods
`java.security.PermissionCollection` `getPermissions(java.security.CodeSource source)` Return a mutable, heterogeneous-capable permission collection for the source.
`boolean` `implies(java.security.ProtectionDomain domain, java.security.Permission permission)`
`void` `refresh()` Refresh.

### Methods inherited from class java.security.Policy

`getInstance, getInstance, getInstance, getParameters, getPermissions, getPolicy, getProvider, getType, setPolicy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JNLPPolicy

    protected JNLPPolicy()

### Method Detail

#### getPermissions

    public java.security.PermissionCollection getPermissions(java.security.CodeSource source)

Return a mutable, heterogeneous-capable permission collection for the source.

Overrides:
  `getPermissions` in class `java.security.Policy`

#### refresh

    public void refresh()

Refresh.

Overrides:
  `refresh` in class `java.security.Policy`

#### implies

    public boolean implies(java.security.ProtectionDomain domain,
                  java.security.Permission permission)

Overrides:
  `implies` in class `java.security.Policy`